GNUNET-NAT-AUTO(1)

NAME
gnunet-nat-auto - autoconfigure and test NAT traversal

SYNOPSIS
gnunet-nat-auto [options]

DESCRIPTION
This tool allows testing various NAT traversal functions, as well as attempting auto-configuration.

OPTIONS

-a,  --auto
    Attempt auto-configuration for NAT traversal.

-c FILENAME,  --config=FILENAME
    Use the configuration file FILENAME.

-S NAME,  --section=NAME
    Name of the configuration section with details about the configuration to test. For example "transport-tcp".

-t,  --tcp
    Use TCP.

-u,  --udp
    Use UDP.

-w,  --write
    Write configuration to configuration file, useful in combination with autoconfiguration (-a).

EXAMPLES

Automatic configuration: Probe and write result to configuration:
  # gnunet-nat-auto -aw Test configuration: Test TCP configuration:
  # gnunet-nat-auto -t -S transport-tcp Test HTTP configuration:
  # gnunet-nat-auto -t -S transport-http Test UDP configuration:
  # gnunet-nat-auto -u -S transport-udp

BUGS
Report bugs by using Mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet-transport(1) gnunet-nat(1)